Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaCamera Class Reference

`#include <vtkMesaCamera.h>`

Inheritance diagram for vtkMesaCamera:

[legend]
Collaboration diagram for vtkMesaCamera:

[legend]
List of all members.

## Detailed Description

Mesa camera.

Date:
  2002/08/22 18:39:30

Revision:
  1.15

vtkMesaCamera is a concrete implementation of the abstract class vtkCamera. vtkMesaCamera interfaces to the Mesa rendering library.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (58%)
  - Hoffman, Bill (26%)
  - Schroeder, Will (6%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkMesaCamera.h)`
  - .`cxx` (`/Rendering/vtkMesaCamera.cxx)`

Definition at line 45 of file vtkMesaCamera.h.

## Public Types
typedef vtkCamera | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Render (vtkRenderer *ren)
void | UpdateViewport (vtkRenderer *ren)
## Static Public Methods
vtkMesaCamera * | New ()
int | IsTypeOf (const char *type)
vtkMesaCamera * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMesaCamera ()
| ~vtkMesaCamera ()

## Member Typedef Documentation

typedef vtkCamera vtkMesaCamera::Superclass

| Reimplemented from vtkCamera. Definition at line 49 of file vtkMesaCamera.h.

## Constructor & Destructor Documentation

vtkMesaCamera::vtkMesaCamera | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkMesaCamera.h.

vtkMesaCamera::~vtkMesaCamera | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkMesaCamera.h.

## Member Function Documentation

vtkMesaCamera* vtkMesaCamera::New | ( |  | ) | `[static]`

| Construct camera instance with its focal point at the origin, and position=(0,0,1). The view up is along the y-axis, view angle is 30 degrees, and the clipping range is (.1,1000). Reimplemented from vtkCamera.

virtual const char* vtkMesaCamera::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCamera.

int vtkMesaCamera::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCamera.

virtual int vtkMesaCamera::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCamera.

vtkMesaCamera* vtkMesaCamera::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCamera.

virtual void vtkMesaCamera::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCamera.

void vtkMesaCamera::Render | ( | vtkRenderer * | ren | ) | `[virtual]`

| Implement base class method. Reimplemented from vtkCamera.

void vtkMesaCamera::UpdateViewport | ( | vtkRenderer * | ren | ) |

The documentation for this class was generated from the following file:

- Rendering/vtkMesaCamera.h